- [Resource: Export](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#Export)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#Export.SCHEMA_REPRESENTATION)
- [UserInfo](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#UserInfo)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#UserInfo.SCHEMA_REPRESENTATION)
- [ExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportOptions.SCHEMA_REPRESENTATION)
- [MailExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#MailExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#MailExportOptions.SCHEMA_REPRESENTATION)
- [ExportFormat](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat)
- [GroupsExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GroupsExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GroupsExportOptions.SCHEMA_REPRESENTATION)
- [DriveExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#DriveExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#DriveExportOptions.SCHEMA_REPRESENTATION)
- [HangoutsChatExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#HangoutsChatExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#HangoutsChatExportOptions.SCHEMA_REPRESENTATION)
- [VoiceExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#VoiceExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#VoiceExportOptions.SCHEMA_REPRESENTATION)
- [CalendarExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CalendarExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CalendarExportOptions.SCHEMA_REPRESENTATION)
- [GeminiExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiExportOptions.SCHEMA_REPRESENTATION)
- [GeminiInWorkspaceExportOptions](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiInWorkspaceExportOptions)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiInWorkspaceExportOptions.SCHEMA_REPRESENTATION)
- [ExportRegion](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportRegion)
- [ExportStatus](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStatus)
- [ExportStats](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStats)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStats.SCHEMA_REPRESENTATION)
- [CloudStorageSink](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageSink)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageSink.SCHEMA_REPRESENTATION)
- [CloudStorageFile](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageFile)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageFile.SCHEMA_REPRESENTATION)
- [Methods](https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#METHODS_SUMMARY)

## Resource: Export

An export.

To work with Vault resources, the account must have the [required Vault privileges](https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege.

| JSON representation |
|---|
| ``` { "id": string, "matterId": string, "parentExportId": string, "name": string, "requester": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#UserInfo`) }, "query": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/Query`) }, "exportOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportOptions`) }, "createTime": string, "status": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStatus`), "stats": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStats`) }, "cloudStorageSink": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageSink`) } } ``` |

| Fields ||
|---|---|
| `id` | `string` Output only. The generated export ID. |
| `matterId` | `string` Output only. The matter ID. |
| `parentExportId` | `string` Output only. Identifies the parent export that spawned this child export. This is only set on child exports. |
| `name` | `string` The export name. Don't use special characters (\~!$'(),;@:/?) in the name, they can prevent you from downloading exports. |
| `requester` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#UserInfo`)`` Output only. The requester of the export. |
| `query` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/Query`)`` The query parameters used to create the export. |
| `exportOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportOptions`)`` Additional export options. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The time when the export was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `status` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStatus`)`` Output only. The status of the export. |
| `stats` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportStats`)`` Output only. Details about the export progress and size. |
| Export sink type. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `cloudStorageSink` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageSink`)`` Output only. The sink for export files in Cloud Storage. |
| End of mutually exclusive fields. ||

## UserInfo

User's information.

| JSON representation |
|---|
| ``` { "email": string, "displayName": string } ``` |

| Fields ||
|---|---|
| `email` | `string` The email address of the user. |
| `displayName` | `string` The displayed name of the user. |

## ExportOptions

Additional options for exports

| JSON representation |
|---|
| ``` { "region": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportRegion`), "mailOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#MailExportOptions`) }, "groupsOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GroupsExportOptions`) }, "driveOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#DriveExportOptions`) }, "hangoutsChatOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#HangoutsChatExportOptions`) }, "voiceOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#VoiceExportOptions`) }, "calendarOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CalendarExportOptions`) }, "geminiOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiExportOptions`) }, "geminiInWorkspaceOptions": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiInWorkspaceExportOptions`) } } ``` |

| Fields ||
|---|---|
| `region` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportRegion`)`` The requested data region for the export. |
| Service-specific options for exports. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `mailOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#MailExportOptions`)`` Options for Gmail exports. |
| `groupsOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GroupsExportOptions`)`` Options for Groups exports. |
| `driveOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#DriveExportOptions`)`` Options for Drive exports. |
| `hangoutsChatOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#HangoutsChatExportOptions`)`` Options for Chat exports. |
| `voiceOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#VoiceExportOptions`)`` Options for Voice exports. |
| `calendarOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CalendarExportOptions`)`` Option available for Calendar export. |
| `geminiOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiExportOptions`)`` Option available for Gemini app export. |
| `geminiInWorkspaceOptions` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#GeminiInWorkspaceExportOptions`)`` Option available for Gemini in Workspace export. |
| End of mutually exclusive fields. ||

## MailExportOptions

Options for Gmail exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`), "showConfidentialModeContent": boolean, "useNewExport": boolean, "exportLinkedDriveFiles": boolean } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported messages. |
| `showConfidentialModeContent` | `boolean` To export confidential mode content, set to **true**. |
| `useNewExport` | `boolean` To use the new export system, set to **true**. |
| `exportLinkedDriveFiles` | `boolean` Optional. To enable exporting linked Drive files, set to **true**. |

## ExportFormat

Export format for messages

| Enums ||
|---|---|
| `EXPORT_FORMAT_UNSPECIFIED` | No export format specified. |
| `MBOX` | Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice. |
| `PST` | Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar. |
| `ICS` | Export as ICS. Only available for Calendar. |
| `XML` | Export as XML. Only available for Gemini app. |
| `JSON` | Export as JSON. Only available for Gemini in Workspace. |

## GroupsExportOptions

Options for Groups exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported messages. |

## DriveExportOptions

Options for Drive exports.

| JSON representation |
|---|
| ``` { "includeAccessInfo": boolean } ``` |

| Fields ||
|---|---|
| `includeAccessInfo` | `boolean` To include access level information for users with [indirect access](https://support.google.com/vault/answer/6099459#metadata) to files, set to **true**. |

## HangoutsChatExportOptions

Options for Chat exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported messages. |

## VoiceExportOptions

The options for Voice exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported text messages. |

## CalendarExportOptions

The options for Calendar exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported text messages. |

## GeminiExportOptions

The options for Gemini app exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported messages. |

## GeminiInWorkspaceExportOptions

The options for Gemini in Workspace exports.

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`) } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#ExportFormat`)`` The file format for exported messages. |

## ExportRegion

The [data region](https://support.google.com/a/answer/7630496) for the export.

| Enums ||
|---|---|
| `EXPORT_REGION_UNSPECIFIED` | The region is unspecified. Defaults to ANY. |
| `ANY` | Any region. |
| `US` | United States region. |
| `EUROPE` | Europe region. |

## ExportStatus

The status of the export.

| Enums ||
|---|---|
| `EXPORT_STATUS_UNSPECIFIED` | The status is unspecified. |
| `COMPLETED` | The export completed. |
| `FAILED` | The export failed. |
| `IN_PROGRESS` | The export is in progress. |

## ExportStats

Progress information for an export.

| JSON representation |
|---|
| ``` { "exportedArtifactCount": string, "totalArtifactCount": string, "sizeInBytes": string } ``` |

| Fields ||
|---|---|
| `exportedArtifactCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of messages or files already processed for export. |
| `totalArtifactCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of messages or files to be exported. |
| `sizeInBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` The size of export in bytes. |

## CloudStorageSink

Export sink for Cloud Storage files.

| JSON representation |
|---|
| ``` { "files": [ { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageFile`) } ] } ``` |

| Fields ||
|---|---|
| `files[]` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports#CloudStorageFile`)`` Output only. The exported files in Cloud Storage. |

## CloudStorageFile

The export file in Cloud Storage

| JSON representation |
|---|
| ``` { "bucketName": string, "objectName": string, "size": string, "md5Hash": string } ``` |

| Fields ||
|---|---|
| `bucketName` | `string` The name of the Cloud Storage bucket for the export file. You can use this value in the Cloud Storage [JSON API](https://cloud.google.com/storage/docs/json_api) or [XML API](https://cloud.google.com/storage/docs/xml-api), but not to list the bucket contents. Instead, you can [get individual export files](https://cloud.google.com/storage/docs/json_api/v1/objects/get) by object name. |
| `objectName` | `string` The name of the Cloud Storage object for the export file. You can use this value in the Cloud Storage [JSON API](https://cloud.google.com/storage/docs/json_api) or [XML API](https://cloud.google.com/storage/docs/xml-api). |
| `size` | `string (https://developers.google.com/discovery/v1/type-format format)` The export file size. |
| `md5Hash` | `string` The md5 hash of the file. |

| ## Methods ||
|---|---|
| ### `https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports/create` | Creates an export. |
| ### `https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports/delete` | Deletes an export. |
| ### `https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports/get` | Gets an export. |
| ### `https://developers.google.com/workspace/vault/reference/rest/v1/matters.exports/list` | Lists details about the exports in the specified matter. |